AuthzSession (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.AuthzSession class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class AuthzSession

    java.lang.Object
      org.hyperic.hq.authz.server.session.AuthzSession

Direct Known Subclasses:
  AuthzSubjectManagerEJBImpl, PermissionManager, ResourceGroupManagerEJBImpl, ResourceManagerEJBImpl, RoleManagerEJBImpl

    public abstract class AuthzSession

extends java.lang.Object

This is the parent class for all Authz Session Beans

Field Summary
`protected javax.ejb.SessionContext` | `ctx`
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AuthzSession()`

Method Summary
`protected Resource` | `findPrototype(AppdefEntityTypeID id)`
`AuthzSubject` | `findSubjectByAuth(java.lang.String name, java.lang.String authDsn)` Find the subject that has the given name and authentication source.
`ResourceRelation` | `getContainmentRelation()`
`protected javax.naming.InitialContext` | `getInitialContext()`
`ResourceRelation` | `getNetworkRelation()`
`protected OperationDAO` | `getOperationDAO()`
`protected ResourceDAO` | `getResourceDAO()`
`protected ResourceGroupDAO` | `getResourceGroupDAO()`
`protected ResourceTypeDAO` | `getResourceTypeDAO()`
`protected RoleDAO` | `getRoleDAO()`
`protected ResourceType` | `getRootResourceType()`
`protected javax.ejb.SessionContext` | `getSessionContext()`
`protected org.hyperic.hq.authz.server.session.AuthzSubjectDAO` | `getSubjectDAO()`
`ResourceRelation` | `getVirtualRelation()`
`protected AuthzSubject` | `lookupSubject(java.lang.Integer id)`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`protected java.util.Set` | `toPojos(java.lang.Object[] vals)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

### ctx

    protected javax.ejb.SessionContext ctx

Constructor Detail

### AuthzSession

    public AuthzSession()

Method Detail

### getResourceTypeDAO

    protected ResourceTypeDAO getResourceTypeDAO()

### getResourceDAO

    protected ResourceDAO getResourceDAO()

### getResourceGroupDAO

    protected ResourceGroupDAO getResourceGroupDAO()

### getSubjectDAO

    protected org.hyperic.hq.authz.server.session.AuthzSubjectDAO getSubjectDAO()

### getRoleDAO

    protected RoleDAO getRoleDAO()

### getOperationDAO

    protected OperationDAO getOperationDAO()

### getRootResourceType

    protected ResourceType getRootResourceType()

### findSubjectByAuth

    public AuthzSubject findSubjectByAuth(java.lang.String name,
                                          java.lang.String authDsn)
                                   throws SubjectNotFoundException

  Find the subject that has the given name and authentication source.

  Parameters:
    `name` - Name of the subject.
    `authDsn` - DSN of the authentication source. Authentication sources are defined externally.
  Returns:
    The value-object of the subject of the given name and authenticating source.
  Throws:
    `SubjectNotFoundException`

### toPojos

    protected java.util.Set toPojos(java.lang.Object[] vals)

### lookupSubject

    protected AuthzSubject lookupSubject(java.lang.Integer id)

### getInitialContext

    protected javax.naming.InitialContext getInitialContext()
                                                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

### getSessionContext

    protected javax.ejb.SessionContext getSessionContext()

### getContainmentRelation

    public ResourceRelation getContainmentRelation()

### getNetworkRelation

    public ResourceRelation getNetworkRelation()

### getVirtualRelation

    public ResourceRelation getVirtualRelation()

### findPrototype

    protected Resource findPrototype(AppdefEntityTypeID id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.